diff --git a/flows/main.json b/flows/main.json
index e4a79f9..1b78e64 100644
--- a/flows/main.json
+++ b/flows/main.json
@@ -192,7 +192,7 @@
"type": "ui_tab",
"z": "",
"name": "System Monitoring",
- "icon": "fa-cogs",
+ "icon": "fa-thermometer-full",
"order": 7,
"disabled": false,
"hidden": false
@@ -1851,7 +1851,7 @@
"order": 1,
"width": 4,
"height": 4,
- "format": "\n \n System Monitoring
\n",
+ "format": "\n \n System Monitoring
\n",
"storeOutMessages": true,
"fwdInMessages": true,
"resendOnRefresh": false,
diff --git a/scripts/bash/update.sh b/scripts/bash/update.sh
index ff52acc..ae90684 100755
--- a/scripts/bash/update.sh
+++ b/scripts/bash/update.sh
@@ -19,18 +19,22 @@ function special(){
if [[ -f "/etc/udev/rules.d/99-local.rules" ]]; then
sudo rm /etc/udev/rules.d/99-local.rules
fi
- if ! [[ -f "/etc/nginx/sites-available/gallery.conf" ]]; then
- ${log} "Nginx config is not installed, doing that now"
- sudo cp /home/pi/PlanktonScope/scripts/gallery/gallery.conf /etc/nginx/sites-available/gallery.conf
- sudo ln -s /etc/nginx/sites-available/gallery.conf /etc/nginx/sites-enabled/gallery.conf
- sudo nginx -t && sudo systemctl reload nginx
- fi
if [[ -f "/etc/nginx/sites-available/img.conf" ]]; then
${log} "Getting rid of the old nginx config"
sudo rm /etc/nginx/sites-available/img.conf
sudo rm /etc/nginx/sites-enabled/img.conf
sudo nginx -t && sudo systemctl reload nginx
fi
+ if [[ -f "/etc/nginx/sites-available/gallery.conf" ]]; then
+ ${log} "Updating the old nginx config"
+ sudo rm /etc/nginx/sites-available/gallery.conf
+ fi
+ if ! [[ -f "/etc/nginx/sites-available/gallery.conf" ]]; then
+ ${log} "Nginx config is not installed, doing that now"
+ sudo cp /home/pi/PlanktonScope/scripts/gallery/gallery.conf /etc/nginx/sites-available/gallery.conf
+ sudo ln -s /etc/nginx/sites-available/gallery.conf /etc/nginx/sites-enabled/gallery.conf
+ sudo nginx -t && sudo systemctl reload nginx
+ fi
}
${log} "Updating the main repository"